#-
#:SmallSize 5000000
#:LargeSize 20000000
#:WorkSpace 50000000
#:MaxTermSize 300000
#:TermsInSmall 30000
off stats;
format 75;
auto s sM;
auto i iM;

s GS, MT, MT2,S,T,U;
cf Den, Denom, dirM, pol, polc, SUNF, SUND, SUNSum, SUNT;
cf SpinorU, SpinorUb, SpinorV, SpinorVb;
cf mom, fslash;

d 4;

AutoDeclare I Dir=4, iM, Lor=4,ind;

Tensor Tr(cyclic),Tp,f(antisymmetric),ff(rcyclic), d(symmetric);
Function TM,TT;
Symbols a,nf,NF,NA,cF,cA,[cF-cA/6];
Dimension NA;
AutoDeclare  I j,Glu=NA;
Dimension NF;
AutoDeclare I i,Col=NF;

v k;
s m;
f g,g1,g2,dummy;
v g6,g7;

v k1,k2,k3,k4;

#define DoColor "0"

#procedure kikj
id k1.k1 = 0;
id k1.k2 = S/2;
id k1.k3 = -T/2;
id k1.k4 = -U/2;
id k2.k2 = 0;
id k2.k3 = -U/2;
id k2.k4 = -T/2;
id k3.k3 = 0;
id k3.k4 = S/2;
id k4.k4 = 0;
#endprocedure

#procedure Fewest(foo)
id `foo'(sM1?, sM2?) = `foo'(sM1, nterms_(sM1)*2 - 1, sM2, nterms_(sM2)*2);
symm `foo' (2,1), (4,3);
id `foo'(sM?, ?a) = `foo'(sM);
#endprocedure

#procedure InvSimplify(foo)
id `foo'(m?) = `foo'(m, m*replace_(S, -T-U));
#call Fewest(`foo')
id `foo'(m?) = `foo'(m, m*replace_(T, -S-U));
#call Fewest(`foo')
id `foo'(m?) = `foo'(m, m*replace_(U, -S-T));
#call Fewest(`foo')
#endprocedure

#include squareME.h


.global
*********************************************************
*    _                    _ _ _             _           *
*   / \   _ __ ___  _ __ | (_) |_ _   _  __| | ___  ___ *
*  / _ \ | '_ ` _ \| '_ \| | | __| | | |/ _` |/ _ \/ __|*
* / ___ \| | | | | | |_) | | | |_| |_| | (_| |  __/\__ \*
*/_/   \_\_| |_| |_| .__/|_|_|\__|\__,_|\__,_|\___||___/*
*                  |_|                                  *
*********************************************************
Local Diag1 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*pol(k3,Lor2)*pol(k4,Lor4)*-i_*GS**2*SUNSum(Glu99,8)*(SUNF(Glu1,Glu3,Glu99)*SUNF(Glu2,Glu4,Glu99)*(d_(Lor1,Lor2)*d_(Lor3,Lor4)-d_(Lor1,Lor4)*d_(Lor3,Lor2))+SUNF(Glu1,Glu2,Glu99)*SUNF(Glu3,Glu4,Glu99)*(d_(Lor1,Lor3)*d_(Lor2,Lor4)-d_(Lor1,Lor4)*d_(Lor2,Lor3))+SUNF(Glu1,Glu4,Glu99)*SUNF(Glu3,Glu2,Glu99)*(d_(Lor1,Lor3)*d_(Lor4,Lor2)-d_(Lor1,Lor2)*d_(Lor4,Lor3)));
Local Diag2 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*pol(k3,Lor2)*pol(k4,Lor4)*-GS*SUNF(Glu1,Glu3,Glu7)*(d_(Lor1,Lor3)*mom(k1-(k2),Lor7)+d_(Lor3,Lor7)*mom(k2-(-k1-k2),Lor1)+d_(Lor7,Lor1)*mom(-k1-k2-(k1),Lor3) )*-GS*SUNF(Glu2,Glu4,Glu8)*(d_(Lor2,Lor4)*mom(-k3-(-k4),Lor8)+d_(Lor4,Lor8)*mom(-k4-(k1+k2),Lor2)+d_(Lor8,Lor2)*mom(k1+k2-(-k3),Lor4) )*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*pol(k3,Lor2)*pol(k4,Lor4)*-GS*SUNF(Glu1,Glu2,Glu7)*(d_(Lor1,Lor2)*mom(k1-(-k3),Lor7)+d_(Lor2,Lor7)*mom(-k3-(-k1+k3),Lor1)+d_(Lor7,Lor1)*mom(-k1+k3-(k1),Lor2) )*-GS*SUNF(Glu3,Glu4,Glu8)*(d_(Lor3,Lor4)*mom(k2-(-k4),Lor8)+d_(Lor4,Lor8)*mom(-k4-(k1-k3),Lor3)+d_(Lor8,Lor3)*mom(k1-k3-(k2),Lor4) )*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag4 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*pol(k3,Lor2)*pol(k4,Lor4)*-GS*SUNF(Glu1,Glu4,Glu7)*(d_(Lor1,Lor4)*mom(k1-(-k4),Lor7)+d_(Lor4,Lor7)*mom(-k4-(-k1+k4),Lor1)+d_(Lor7,Lor1)*mom(-k1+k4-(k1),Lor4) )*-GS*SUNF(Glu3,Glu2,Glu8)*(d_(Lor3,Lor2)*mom(k2-(-k3),Lor8)+d_(Lor2,Lor8)*mom(-k3-(k1-k4),Lor3)+d_(Lor8,Lor3)*mom(k1-k4-(k2),Lor2) )*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3+Diag4;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M1);
 .sort
Local Diag1 =
-1*1*1*pol(k3,Lor2)*pol(k4,Lor4)*GS*SUNF(Glu7,Glu1,Glu3)*mom(k2,Lor7)*-GS*SUNF(Glu2,Glu4,Glu8)*(d_(Lor2,Lor4)*mom(-k3-(-k4),Lor8)+d_(Lor4,Lor8)*mom(-k4-(k1+k2),Lor2)+d_(Lor8,Lor2)*mom(k1+k2-(-k3),Lor4) )*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
+1*1*1*pol(k3,Lor2)*pol(k4,Lor4)*GS*SUNF(Glu2,Glu1,Glu8)*mom(-k1+k3,Lor2)*GS*SUNF(Glu4,Glu7,Glu3)*mom(k2,Lor4)*i_*Den(k1-k3,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
+1*1*1*pol(k3,Lor2)*pol(k4,Lor4)*GS*SUNF(Glu4,Glu1,Glu8)*mom(-k1+k4,Lor4)*GS*SUNF(Glu2,Glu7,Glu3)*mom(k2,Lor2)*i_*Den(k1-k4,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M2);
 .sort
Local Diag1 =
+1*1*1*pol(k3,Lor2)*pol(k4,Lor4)*GS*SUNF(Glu7,Glu3,Glu1)*mom(k1,Lor7)*-GS*SUNF(Glu2,Glu4,Glu8)*(d_(Lor2,Lor4)*mom(-k3-(-k4),Lor8)+d_(Lor4,Lor8)*mom(-k4-(k1+k2),Lor2)+d_(Lor8,Lor2)*mom(k1+k2-(-k3),Lor4) )*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*1*1*pol(k3,Lor2)*pol(k4,Lor4)*GS*SUNF(Glu2,Glu7,Glu1)*mom(k1,Lor2)*GS*SUNF(Glu4,Glu3,Glu8)*mom(k1-k3,Lor4)*i_*Den(-k1+k3,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
-1*1*1*pol(k3,Lor2)*pol(k4,Lor4)*GS*SUNF(Glu4,Glu7,Glu1)*mom(k1,Lor4)*GS*SUNF(Glu2,Glu3,Glu8)*mom(k1-k4,Lor2)*i_*Den(-k1+k4,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M3);
 .sort
Local Diag1 =
+1*1*1*1*1*GS*SUNF(Glu7,Glu1,Glu3)*mom(k2,Lor7)*GS*SUNF(Glu8,Glu4,Glu2)*mom(-k3,Lor8)*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*1*1*1*1*GS*SUNF(Glu7,Glu1,Glu2)*mom(-k3,Lor7)*GS*SUNF(Glu8,Glu4,Glu3)*mom(k2,Lor8)*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M4);
 .sort
Local Diag1 =
-1*1*1*1*1*GS*SUNF(Glu7,Glu1,Glu3)*mom(k2,Lor7)*GS*SUNF(Glu8,Glu2,Glu4)*mom(-k4,Lor8)*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
+1*1*1*1*1*GS*SUNF(Glu7,Glu1,Glu4)*mom(-k4,Lor7)*GS*SUNF(Glu8,Glu2,Glu3)*mom(k2,Lor8)*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M5);
 .sort
Local Diag1 =
-1*1*1*1*1*GS*SUNF(Glu7,Glu3,Glu1)*mom(k1,Lor7)*GS*SUNF(Glu8,Glu4,Glu2)*mom(-k3,Lor8)*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
+1*1*1*1*1*GS*SUNF(Glu7,Glu4,Glu1)*mom(k1,Lor7)*GS*SUNF(Glu8,Glu3,Glu2)*mom(-k3,Lor8)*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M6);
 .sort
Local Diag1 =
+1*1*1*1*1*GS*SUNF(Glu7,Glu3,Glu1)*mom(k1,Lor7)*GS*SUNF(Glu8,Glu2,Glu4)*mom(-k4,Lor8)*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*1*1*1*1*GS*SUNF(Glu7,Glu2,Glu1)*mom(k1,Lor7)*GS*SUNF(Glu8,Glu3,Glu4)*mom(-k4,Lor8)*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M7);
 .sort
Local Diag1 =
+1*1*polc(k2,Lor3)*1*pol(k4,Lor4)*GS*SUNF(Glu3,Glu1,Glu8)*mom(-k1-k2,Lor3)*GS*SUNF(Glu4,Glu7,Glu2)*mom(-k3,Lor4)*i_*Den(k1+k2,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*1*polc(k2,Lor3)*1*pol(k4,Lor4)*GS*SUNF(Glu7,Glu1,Glu2)*mom(-k3,Lor7)*-GS*SUNF(Glu3,Glu4,Glu8)*(d_(Lor3,Lor4)*mom(k2-(-k4),Lor8)+d_(Lor4,Lor8)*mom(-k4-(k1-k3),Lor3)+d_(Lor8,Lor3)*mom(k1-k3-(k2),Lor4) )*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
+1*1*polc(k2,Lor3)*1*pol(k4,Lor4)*GS*SUNF(Glu4,Glu1,Glu8)*mom(-k1+k4,Lor4)*GS*SUNF(Glu3,Glu7,Glu2)*mom(-k3,Lor3)*i_*Den(k1-k4,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M8);
 .sort
Local Diag1 =
-1*1*polc(k2,Lor3)*1*pol(k4,Lor4)*GS*SUNF(Glu3,Glu7,Glu1)*mom(k1,Lor3)*GS*SUNF(Glu4,Glu2,Glu8)*mom(k1+k2,Lor4)*i_*Den(-k1-k2,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
+1*1*polc(k2,Lor3)*1*pol(k4,Lor4)*GS*SUNF(Glu7,Glu2,Glu1)*mom(k1,Lor7)*-GS*SUNF(Glu3,Glu4,Glu8)*(d_(Lor3,Lor4)*mom(k2-(-k4),Lor8)+d_(Lor4,Lor8)*mom(-k4-(k1-k3),Lor3)+d_(Lor8,Lor3)*mom(k1-k3-(k2),Lor4) )*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
-1*1*polc(k2,Lor3)*1*pol(k4,Lor4)*GS*SUNF(Glu4,Glu7,Glu1)*mom(k1,Lor4)*GS*SUNF(Glu3,Glu2,Glu8)*mom(k1-k4,Lor3)*i_*Den(-k1+k4,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M9);
 .sort
Local Diag1 =
+1*1*1*1*1*GS*SUNF(Glu7,Glu1,Glu2)*mom(-k3,Lor7)*GS*SUNF(Glu8,Glu3,Glu4)*mom(-k4,Lor8)*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*1*1*1*1*GS*SUNF(Glu7,Glu1,Glu4)*mom(-k4,Lor7)*GS*SUNF(Glu8,Glu3,Glu2)*mom(-k3,Lor8)*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M10);
 .sort
Local Diag1 =
+1*1*1*1*1*GS*SUNF(Glu7,Glu2,Glu1)*mom(k1,Lor7)*GS*SUNF(Glu8,Glu4,Glu3)*mom(k2,Lor8)*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*1*1*1*1*GS*SUNF(Glu7,Glu4,Glu1)*mom(k1,Lor7)*GS*SUNF(Glu8,Glu2,Glu3)*mom(k2,Lor8)*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M11);
 .sort
Local Diag1 =
+1*1*polc(k2,Lor3)*pol(k3,Lor2)*1*GS*SUNF(Glu3,Glu1,Glu8)*mom(-k1-k2,Lor3)*GS*SUNF(Glu2,Glu7,Glu4)*mom(-k4,Lor2)*i_*Den(k1+k2,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
+1*1*polc(k2,Lor3)*pol(k3,Lor2)*1*GS*SUNF(Glu2,Glu1,Glu8)*mom(-k1+k3,Lor2)*GS*SUNF(Glu3,Glu7,Glu4)*mom(-k4,Lor3)*i_*Den(k1-k3,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
-1*1*polc(k2,Lor3)*pol(k3,Lor2)*1*GS*SUNF(Glu7,Glu1,Glu4)*mom(-k4,Lor7)*-GS*SUNF(Glu3,Glu2,Glu8)*(d_(Lor3,Lor2)*mom(k2-(-k3),Lor8)+d_(Lor2,Lor8)*mom(-k3-(k1-k4),Lor3)+d_(Lor8,Lor3)*mom(k1-k4-(k2),Lor2) )*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M12);
 .sort
Local Diag1 =
-1*1*polc(k2,Lor3)*pol(k3,Lor2)*1*GS*SUNF(Glu3,Glu7,Glu1)*mom(k1,Lor3)*GS*SUNF(Glu2,Glu4,Glu8)*mom(k1+k2,Lor2)*i_*Den(-k1-k2,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*1*polc(k2,Lor3)*pol(k3,Lor2)*1*GS*SUNF(Glu2,Glu7,Glu1)*mom(k1,Lor2)*GS*SUNF(Glu3,Glu4,Glu8)*mom(k1-k3,Lor3)*i_*Den(-k1+k3,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
+1*1*polc(k2,Lor3)*pol(k3,Lor2)*1*GS*SUNF(Glu7,Glu4,Glu1)*mom(k1,Lor7)*-GS*SUNF(Glu3,Glu2,Glu8)*(d_(Lor3,Lor2)*mom(k2-(-k3),Lor8)+d_(Lor2,Lor8)*mom(-k3-(k1-k4),Lor3)+d_(Lor8,Lor3)*mom(k1-k4-(k2),Lor2) )*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M13);
 .sort
Local Diag1 =
+1*polc(k1,Lor1)*1*1*pol(k4,Lor4)*GS*SUNF(Glu1,Glu3,Glu8)*mom(-k1-k2,Lor1)*GS*SUNF(Glu4,Glu7,Glu2)*mom(-k3,Lor4)*i_*Den(k1+k2,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
+1*polc(k1,Lor1)*1*1*pol(k4,Lor4)*GS*SUNF(Glu1,Glu7,Glu2)*mom(-k3,Lor1)*GS*SUNF(Glu4,Glu3,Glu8)*mom(k1-k3,Lor4)*i_*Den(-k1+k3,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
-1*polc(k1,Lor1)*1*1*pol(k4,Lor4)*-GS*SUNF(Glu1,Glu4,Glu7)*(d_(Lor1,Lor4)*mom(k1-(-k4),Lor7)+d_(Lor4,Lor7)*mom(-k4-(-k1+k4),Lor1)+d_(Lor7,Lor1)*mom(-k1+k4-(k1),Lor4) )*GS*SUNF(Glu8,Glu3,Glu2)*mom(-k3,Lor8)*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M14);
 .sort
Local Diag1 =
-1*polc(k1,Lor1)*1*1*pol(k4,Lor4)*GS*SUNF(Glu1,Glu7,Glu3)*mom(k2,Lor1)*GS*SUNF(Glu4,Glu2,Glu8)*mom(k1+k2,Lor4)*i_*Den(-k1-k2,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*polc(k1,Lor1)*1*1*pol(k4,Lor4)*GS*SUNF(Glu1,Glu2,Glu8)*mom(-k1+k3,Lor1)*GS*SUNF(Glu4,Glu7,Glu3)*mom(k2,Lor4)*i_*Den(k1-k3,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
+1*polc(k1,Lor1)*1*1*pol(k4,Lor4)*-GS*SUNF(Glu1,Glu4,Glu7)*(d_(Lor1,Lor4)*mom(k1-(-k4),Lor7)+d_(Lor4,Lor7)*mom(-k4-(-k1+k4),Lor1)+d_(Lor7,Lor1)*mom(-k1+k4-(k1),Lor4) )*GS*SUNF(Glu8,Glu2,Glu3)*mom(k2,Lor8)*-i_*Den(-k1+k4,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M15);
 .sort
Local Diag1 =
+1*polc(k1,Lor1)*1*pol(k3,Lor2)*1*GS*SUNF(Glu1,Glu3,Glu8)*mom(-k1-k2,Lor1)*GS*SUNF(Glu2,Glu7,Glu4)*mom(-k4,Lor2)*i_*Den(k1+k2,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*polc(k1,Lor1)*1*pol(k3,Lor2)*1*-GS*SUNF(Glu1,Glu2,Glu7)*(d_(Lor1,Lor2)*mom(k1-(-k3),Lor7)+d_(Lor2,Lor7)*mom(-k3-(-k1+k3),Lor1)+d_(Lor7,Lor1)*mom(-k1+k3-(k1),Lor2) )*GS*SUNF(Glu8,Glu3,Glu4)*mom(-k4,Lor8)*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
+1*polc(k1,Lor1)*1*pol(k3,Lor2)*1*GS*SUNF(Glu1,Glu7,Glu4)*mom(-k4,Lor1)*GS*SUNF(Glu2,Glu3,Glu8)*mom(k1-k4,Lor2)*i_*Den(-k1+k4,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M16);
 .sort
Local Diag1 =
-1*polc(k1,Lor1)*1*pol(k3,Lor2)*1*GS*SUNF(Glu1,Glu7,Glu3)*mom(k2,Lor1)*GS*SUNF(Glu2,Glu4,Glu8)*mom(k1+k2,Lor2)*i_*Den(-k1-k2,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
+1*polc(k1,Lor1)*1*pol(k3,Lor2)*1*-GS*SUNF(Glu1,Glu2,Glu7)*(d_(Lor1,Lor2)*mom(k1-(-k3),Lor7)+d_(Lor2,Lor7)*mom(-k3-(-k1+k3),Lor1)+d_(Lor7,Lor1)*mom(-k1+k3-(k1),Lor2) )*GS*SUNF(Glu8,Glu4,Glu3)*mom(k2,Lor8)*-i_*Den(-k1+k3,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
-1*polc(k1,Lor1)*1*pol(k3,Lor2)*1*GS*SUNF(Glu1,Glu4,Glu8)*mom(-k1+k4,Lor1)*GS*SUNF(Glu2,Glu7,Glu3)*mom(k2,Lor2)*i_*Den(k1-k4,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M17);
 .sort
Local Diag1 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*1*1*-GS*SUNF(Glu1,Glu3,Glu7)*(d_(Lor1,Lor3)*mom(k1-(k2),Lor7)+d_(Lor3,Lor7)*mom(k2-(-k1-k2),Lor1)+d_(Lor7,Lor1)*mom(-k1-k2-(k1),Lor3) )*GS*SUNF(Glu8,Glu4,Glu2)*mom(-k3,Lor8)*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*1*1*GS*SUNF(Glu1,Glu7,Glu2)*mom(-k3,Lor1)*GS*SUNF(Glu3,Glu4,Glu8)*mom(k1-k3,Lor3)*i_*Den(-k1+k3,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*1*1*GS*SUNF(Glu1,Glu4,Glu8)*mom(-k1+k4,Lor1)*GS*SUNF(Glu3,Glu7,Glu2)*mom(-k3,Lor3)*i_*Den(k1-k4,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M18);
 .sort
Local Diag1 =
+1*polc(k1,Lor1)*polc(k2,Lor3)*1*1*-GS*SUNF(Glu1,Glu3,Glu7)*(d_(Lor1,Lor3)*mom(k1-(k2),Lor7)+d_(Lor3,Lor7)*mom(k2-(-k1-k2),Lor1)+d_(Lor7,Lor1)*mom(-k1-k2-(k1),Lor3) )*GS*SUNF(Glu8,Glu2,Glu4)*mom(-k4,Lor8)*-i_*Den(-k1-k2,0)*d_(Lor8,Lor7)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag2 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*1*1*GS*SUNF(Glu1,Glu2,Glu8)*mom(-k1+k3,Lor1)*GS*SUNF(Glu3,Glu7,Glu4)*mom(-k4,Lor3)*i_*Den(k1-k3,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);
Local Diag3 =
-1*polc(k1,Lor1)*polc(k2,Lor3)*1*1*GS*SUNF(Glu1,Glu7,Glu4)*mom(-k4,Lor1)*GS*SUNF(Glu3,Glu2,Glu8)*mom(k1-k4,Lor3)*i_*Den(-k1+k4,0)*d_(Glu8,Glu7)*SUNSum(Glu7,8);

L Amp = +Diag1+Diag2+Diag3;

#$lomax = 8;
#$dimax = ;
#call squareME(Amp,M19);
 .sort
L Result = M1-M2-M3+M4+M5+M6+M7-M8-M9+M10+M11-M12-M13-M14-M15-M16-M17-M18-M19;
.sort

Format nospaces;
#write <me.gg2gg.txt> "%e",Result

ExtraSymbols,array,w;
Format O3;
*Print;
.sort

Format DOUBLEFORTRAN;
#optimize Result
#write <me.gg2gg.f> "      FUNCTION me_gg2gg(S, T, U, T14, T24, S34, MT, GS, NF)"
#write <me.gg2gg.f> "      REAL*8 S, T, U, T14, T24, S34, MT, GS, NF"
#write <me.gg2gg.f> "      REAL*8 me_gg2gg"
#write <me.gg2gg.f> "      REAL*8 w(`optimmaxvar_')"
#write <me.gg2gg.f> "%O"
#write <me.gg2gg.f> "      me_gg2gg = %e",Result(me_gg2gg)
#write <me.gg2gg.f> "      RETURN"
#write <me.gg2gg.f> "      END"
.sort

.end
