#-
#procedure squareME(Amp, Res)
*id Alfas=GS^2/(4*Pi);
id SUNF(Glu1?,Glu2?,Glu3?,Glu4?) = SUNF(Glu1,Glu2,Glu99)*SUNF(Glu3,Glu4,Glu99);

splitarg mom;
repeat id mom(k1?,?k,Lor?) = (k1(Lor)+mom(?k,Lor));
id mom(Lor?) = 0;

argument dirM;
splitarg fslash;
repeat id fslash(k1?,?k) = (g(iM,k1)+fslash(?k));
id fslash = 0;
endargument;

argument dirM;
*	id g(iM,6) = g(iM);
*	id g(iM,7) = g(iM);
	repeat id g(iM,?ind1)*g(iM,?ind2) = g(iM,?ind1,?ind2);
endargument;
.sort

Hide;
NHide `Amp';

#do i=1,20
	#$glu`i'=0;
	#$col`i'=0;
#enddo
#$gluix = 1;
#$colix = 1;
#do k = 1,20
	if (match(SUNSum(Glu`k',8)));
		$glu`$gluix' = `k';
		#$gluix  = $gluix+1;
	endif;
#enddo
#do k = 1,20
*	if (match(SUNSum(Glu`k',8)));
	if (match(SUNSum(Col`k',3)));
		$col`$colix' = `k';
		#$colix  = $colix+1;
	endif;
#enddo
.sort
#message highest Dirac is Dir`$dimax';
#message highest Lorentz is Lor`$lomax';

*id SUNF(?g) = 1;
*id SUNT(?g) = 1;
id SUNSum(?g) = 1;
.sort

Skip;
L `Amp'C = `Amp';
id i_ = -i_;
Multiply replace_(<Dir1,Dir{`$dimax'+1}>,...,<Dir`$dimax',Dir{2*`$dimax'}>);
Multiply replace_(<Lor1,Lor{`$lomax'+1}>,...,<Lor`$lomax',Lor{2*`$lomax'}>);
*Multiply replace_(<Glu1,Glu{`$glumax'+1}>,...,<Glu`$glumax',Glu{2*`$glumax'}>);
*Multiply replace_(Glu{`$glumax'},Glu{`$glumax'+1});
#do i=1,20
	Multiply replace_(Glu{`$glu`i''},Glu{`$glu`i''+20});
	Multiply replace_(Col{`$col`i''},Col{`$col`i''+20});
#enddo
	Multiply replace_(Glu99,Glu199);

id dirM(?g,Dir1?,Dir2?) = dirM(?g,Dir2,Dir1);
argument dirM;
	Multiply replace_(SpinorUb,SpinorU,SpinorU,SpinorUb,SpinorVb,SpinorV,SpinorV,SpinorVb);
	id g(?iM,6,?ind) = g(?iM,8,?ind);
	id g(?iM,7,?ind) = g(?iM,6,?ind);
	id g(?iM,8,?ind) = g(?iM,7,?ind);
	id g(?iM,5,?ind) = -g(?iM,5,?ind);
endargument;
Multiply replace_(pol,polc,polc,pol);
id SUNT(Glu?,Col1?,Col2?) = SUNT(Glu,Col2,Col1);
.sort:Complex conjugation;

#if `DoColor' == 1

#do i=1,`ColBasDim'
	L [h.P_`i'] = `Amp' * proj`i'b;
	L [P.hb_`i'] = `Amp'C * proj`i';
#enddo
#call SUn
id a = 1/2;
*id NF = 3;
.sort:Mltply by projectors;

#do i=1,`ColBasDim'
	#$summ = 0;
	#do j=1,`ColBasDim'
		#$summ = `$summ'+[h.P_`j'] * invP`j'x`i';
	#enddo
	L [h_`i'] = `$summ';
#enddo

#do i=1,`ColBasDim'
	#$summ = 0;
	#do j=1,`ColBasDim'
		#$summ = `$summ'+invP`i'x`j' * [P.hb_`j'];
	#enddo
	L [hb_`i'] = `$summ';
#enddo

#do i=1,`ColBasDim'
#do j=1,`ColBasDim'
	G [`Res'_`i'x`j'] =
		[hb_`i']*[h_`j'];
#enddo
#enddo
.sort:Color decomposition;
Drop;
#do i=1,`ColBasDim'
	NDrop proj`i';
	NDrop proj`i'b;
#do j=1,`ColBasDim'
	NDrop [`Res'_`i'x`j'];
	NDrop P`i'x`j';
	NDrop invP`i'x`j';
	Skip invP`i'x`j';
#enddo
#enddo

#else

*Bracket SUNT, SUNF;
*.sort
*collect clr;
*id dummy(?k) = 1;
*Print;
*.sort
*Print;
*.sort

Skip;
Drop, `Amp', `Amp'C;
G `Res' = `Amp'*`Amp'C;
*id dummy(?k) = mul_(?k,1);
#endif

id dirM(SpinorU(k?,m?),Dir1?)*dirM(SpinorUb(k?,m?),Dir2?) =
	dirM(g(iM,k)+g(iM)*m,Dir1,Dir2);
id dirM(SpinorV(k?,m?),Dir1?)*dirM(SpinorVb(k?,m?),Dir2?) =
	dirM(g(iM,k)-g(iM)*m,Dir1,Dir2);

*repeat id dirM(?g1,Dir1?,Dir2?)*dirM(?g2,Dir2?,Dir3?) = dirM(mul_(?g1,1)*mul_(?g2,1),Dir1,Dir3);
repeat id dirM(?g1,Dir1?,Dir2?)*dirM(?g2,Dir2?,Dir3?) =
	dirM(exp_(?g1,1)*exp_(?g2,1),Dir1,Dir3);
*repeat id dirM(?g1,Dir1?,Dir2?)*dirM(?g2,Dir2?,Dir3?) = dirM(mul_(?g1,?g2),Dir1,Dir3);
*repeat id dirM(?g1,Dir1?,Dir2?)*dirM(?g2,Dir2?,Dir3?) = dirM(?g1,?g2,Dir1,Dir3);

*
* polarization sums: use Feynman gauge for inner gluons and
* axial for external gluons to force transversality;
* specific choices:
* pol(mA,lA)*cpol(mAb,lA) with n = lB -> n^2 = 0
* pol(mB,lB)*cpol(mBb,lB) with n = lA -> n^2 = 0
*
.sort:Spin summation;
*.sort
*Bracket pol, polc;
*.sort
*collect dummy;
*Print;
*.sort

*id pol(k1,Lor1?)*polc(k1,Lor2?)*pol(k2,Lor3?)*polc(k2,Lor4?) =
*	(-d_(Lor1,Lor2)+(k1(Lor1)*k2(Lor2)+k2(Lor1)*k1(Lor2))*Denom(k1.k2))*
*	(-d_(Lor3,Lor4)+(k2(Lor3)*k1(Lor4)+k1(Lor3)*k2(Lor4))*Denom(k2.k1));
*id pol(k5,Lor1?)*polc(k5,Lor2?) = -d_(Lor1, Lor2);
id polc(k?,Lor1?)*pol(k?,Lor2?) = -d_(Lor1,Lor2);
*id pol(k1,Lor1?)*polc(k1,Lor2?)*pol(k2,Lor3?)*polc(k2,Lor4?) =
*	(-d_(Lor1,Lor2)+(k1(Lor1)*k2(Lor2)+k2(Lor1)*k1(Lor2))*Denom(k1.k2))*
*	(-d_(Lor3,Lor4)+(k2(Lor3)*k1(Lor4)+k1(Lor3)*k2(Lor4))*Denom(k2.k1));
*id pol(k5,Lor1?)*polc(k5,Lor2?) = -d_(Lor1, Lor2);
*	(-d_(Lor1,Lor2)-(k(Lor1)*k(Lor2))*Denom(k5.k4+k5.k3)^2+(k5(Lor1)*(k4(Lor2)+k3(Lor2))+(k4(Lor1)+k3(Lor1))*k5(Lor2))*Denom(k5.k4+k5.k3));
***********************
*id dummy(?k) = mul_(?k,1);
.sort:Pol summation;

#do i=1,10
	id,once,dirM(?g1,Dir?,Dir?) = dirM(dirM(?g1)*replace_(iM,`i'));
#enddo
id dirM(dirM(?g)) = dirM(?g);

****************
id dirM(?g1)=exp_(?g1,1);
id dirM(0)=0;
*.sort
*Bracket g;
*.sort
*collect dummy;
*Print;
id g(?iM,6,?ind) = g_(?iM,6_,?ind);
id g(?iM,7,?ind) = g_(?iM,7_,?ind);
id g(?iM) = g_(?iM);
.sort:g2gamma;
#do i = 1,10
	Trace4,`i';
#enddo
id dummy(?k) = exp_(?k,1);
.sort:Trace;
#call SUn;
*id NF = 3;
.sort:Color;
#if `DoColor' == 1
#do i=1,`ColBasDim'
#do j=1,`ColBasDim'
	NHide P`i'x`j';
#enddo
#enddo
#endif
**********************
*argument dirM;
*	id g(?iM,6,?ind) = g_(?iM,6_,?ind);
*	id g(?iM,7,?ind) = g_(?iM,7_,?ind);
*	id g(?iM) = g_(?iM);
*endargument;
*.sort
*
**id dirM(?g1)*dirM(?g2)=mul_(?g1,?g2);
**id dirM(?g1)*dirM(?g2)=mul_(?g1,1)*mul_(?g2,1);
*repeat id dirM(?g1)*dirM(?g2) = dirM(exp_(?g1,1)*exp_(?g2,1));
*.sort
**Bracket dirM;
**.sort
**collect dummy;
**Print;
**.sort
*id dirM(?g1)=exp_(?g1,1);
*id dirM(0)=0;
**id dummy(?k) = exp_(?k,1);
*
*#do i = 1,10
*	Trace4,`i';
*#enddo
*.sort

id Den(k?,m?)=Denom(k.k-m);
*repeat id Denom(?a)*Denom(?b)=Denom(exp_(?a,1)*exp_(?b,1));
*repeat id Denom(?a)*Denom(?b)=Denom(mul_(?a,?b));
argument Denom;
	#call kikj;
endargument;
*repeat id Denom(?a)*Denom(?b)=Denom(exp_(?a,1)*exp_(?b,1));
.sort:Denom kikj;
#call kikj;
.sort:kikj;
Bracket Denom;
.sort
collect dummy;
.sort
#call InvSimplify(Denom);
#call InvSimplify(dummy);
.sort:InvSimplify;

id dummy(?k) = exp_(?k,1);
id Denom(?k)=exp_(?k,-1);
*id ME2 = ME^2;
*id ME = 0;
*id ME2 = 0;
*id MM = 0;
*id MM2 = 0;
*Multiply 1/4;
*Multiply 1/(NF^2-1)^2;
*Multiply 1/NF^2;
*argument dummy;
id a = 1/2;
*endargument;
*id dummy(0) = 0;
.store
.sort:Squaring done;
#endprocedure

*// vim: set filetype=form:
